diff mbox series

[v1,16/23] tests/qemu-iotests/005: Add a sanity check for large sparse file support

Message ID 20190509165912.10512-17-alex.bennee@linaro.org
State New
Headers show
Series current testing/next queue (docker/system & io tests) | expand

Commit Message

Alex Bennée May 9, 2019, 4:59 p.m. UTC
From: Thomas Huth <thuth@redhat.com>


"check -raw 005" fails when running on certain filesystems - these do not
support such large sparse files. Use the same check as in test 220 to
skip the test in this case.

Suggested-by: Eric Blake <eblake@redhat.com>
Reviewed-by: Eric Blake <eblake@redhat.com>

Signed-off-by: Thomas Huth <thuth@redhat.com>

Message-Id: <20190502084506.8009-2-thuth@redhat.com>
Signed-off-by: Alex Bennée <alex.bennee@linaro.org>

---
 tests/qemu-iotests/005 | 9 +++++++++
 1 file changed, 9 insertions(+)

-- 
2.20.1

Comments

Richard Henderson May 9, 2019, 11:03 p.m. UTC | #1
On 5/9/19 9:59 AM, Alex Bennée wrote:
> From: Thomas Huth <thuth@redhat.com>

> 

> "check -raw 005" fails when running on certain filesystems - these do not

> support such large sparse files. Use the same check as in test 220 to

> skip the test in this case.

> 

> Suggested-by: Eric Blake <eblake@redhat.com>

> Reviewed-by: Eric Blake <eblake@redhat.com>

> Signed-off-by: Thomas Huth <thuth@redhat.com>

> Message-Id: <20190502084506.8009-2-thuth@redhat.com>

> Signed-off-by: Alex Bennée <alex.bennee@linaro.org>

> ---

>  tests/qemu-iotests/005 | 9 +++++++++

>  1 file changed, 9 insertions(+)


Reviewed-by: Richard Henderson <richard.henderson@linaro.org>



r~
diff mbox series

Patch

diff --git a/tests/qemu-iotests/005 b/tests/qemu-iotests/005
index 2fef63af882..9c7681c19bc 100755
--- a/tests/qemu-iotests/005
+++ b/tests/qemu-iotests/005
@@ -55,6 +55,15 @@  if [ "$IMGPROTO" = "sheepdog" ]; then
     _notrun "image protocol $IMGPROTO does not support large image sizes"
 fi
 
+# Sanity check: For raw, we require a file system that permits the creation
+# of a HUGE (but very sparse) file. Check we can create it before continuing.
+if [ "$IMGFMT" = "raw" ]; then
+    if ! truncate --size=5T "$TEST_IMG"; then
+        _notrun "file system on $TEST_DIR does not support large enough files"
+    fi
+    rm "$TEST_IMG"
+fi
+
 echo
 echo "creating large image"
 _make_test_img 5000G